Loading...
Searching...
No Matches
irr::scene::IAnimationEndCallBack Class Referenceabstract

Callback interface for catching events of ended animations. More...

`#include <IAnimatedMeshSceneNode.h>`

Inheritance diagram for irr::scene::IAnimationEndCallBack:

## Public Member Functions

virtual void | OnAnimationEnd (IAnimatedMeshSceneNode *node)=0
| Will be called when the animation playback has ended.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Callback interface for catching events of ended animations.

Implement this interface and use IAnimatedMeshSceneNode::setAnimationEndCallback to be able to be notified if an animation playback has ended.

Definition at line 39 of file IAnimatedMeshSceneNode.h.

## Member Function Documentation

## OnAnimationEnd()

virtual void irr::scene::IAnimationEndCallBack::OnAnimationEnd | ( | IAnimatedMeshSceneNode * | node | ) |

pure virtual

Will be called when the animation playback has ended.

See IAnimatedMeshSceneNode::setAnimationEndCallback for more informations.

Parameters

  node | Node of which the animation has ended.

The documentation for this class was generated from the following file:

- IAnimatedMeshSceneNode.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0